Summary:	Java/JNI glue code generator to call out to ANSI C
Name:		gluegen
Version:	1.0
Release:	1.20090305cvs%{?dist}
Group:		Libraries
License:	BSD
URL:		https://gluegen.dev.java.net/
# vs -d :pserver:username@cvs.dev.java.net:/cvs checkout gluegen
Source0:	%{name}.tar.gz
BuildRequires:	ant
BuildRequires:	ant-antlr
BuildRequires:	antlr
BuildRequires:	java-1.6.0-openjdk-devel
BuildRequires:	jpackage-utils
Requires:	jpackage-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description 
GlueGen is a tool which automatically generates the Java and JNI code 
necessary to call C libraries. It reads as input ANSI C header files 
and separate configuration files which provide control over many aspects 
of the glue code generation. GlueGen uses a complete ANSI C parser and 
an internal representation (IR) capable of representing all C types to 
represent the APIs for which it generates interfaces. It has the ability 
to perform significant transformations on the IR before glue code emission.

GlueGen is currently powerful enough to bind even low-level APIs such as 
the Java Native Interface (JNI) and the AWT Native Interface (JAWT) 
back up to the Java programming language.

%package manual
Summary:	User documetation for %{name}
Group:		Libraries

%description manual
Usermanual for %{name}.


%prep
%setup -q -n %{name}




%build
export CLASSPATH=$(build-classpath antlr ant/ant-antlr)

pushd make
%ant all
popd

%install
rm -rf %{buildroot}

# jars
%__install -dm 755 %{buildroot}%{_javadir}
%__install -m 644 build/%{name}.jar \
	%{buildroot}%{_javadir}/%{name}-%{version}.jar
%__install -m 644 build/%{name}-rt.jar \
	%{buildroot}%{_javadir}/%{name}-rt-%{version}.jar
pushd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
	done
popd

# native lib
%__install -dm 755 %{buildroot}%{_libdir}
%__install -m 644 build/obj/lib*.so \
	%{buildroot}%{_libdir}

%clean
rm -rf %{buildroot}
 
%files
%defattr(644,root,root,755)
%{_javadir}/*.jar
%attr(755,root,root) %{_libdir}/lib*.so

%files manual
%defattr(-, root ,root, -)
%doc doc/*


%changelog
* Thu Mar 05 2009 Henrique (LonelySpooky) Junior <lspooky@fedoraproject.org> 1.0-1.20090305cvs
- Initial package based on Mandriva's spec file

